Loading...
Searching...
No Matches
Mutex Class Reference

The Mutex class provides a simple wrapper for the C++11 mutex class. More...

`#include <avogadro/core/mutex.h>`

## Public Member Functions

void | lock ()
| Obtain an exclusive lock.
bool | tryLock ()
| Attempt to obtain an exclusive lock.
void | unlock ()
| Unlocks the lock.

## Detailed Description

Author
  Marcus D. Hanwell

A very simple, and thin wrapper around the C++11 mutex class, allowing for lock, tryLock and unlock.

## Member Function Documentation

## tryLock()

bool tryLock | ( |  | ) |

Returns
  True on success, false on failure.

The documentation for this class was generated from the following file:

- mutex.h